<div class="card jh-card">
    <h2 id="page-heading">
        <span>Pengaturan Pembayaran</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-besar-bayar" [routerLink]="['/besar-bayar/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Tambahkan
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="besarBayars?.length === 0">
        <span>No Pengaturan found</span>
    </div>
    <div class="table-responsive" *ngIf="besarBayars?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span></th> -->
            <th scope="col"  jhiSortBy="kelas.id"><span>Kelas</span></th>
            <th scope="col"  jhiSortBy="jenisBayar.id"><span>Jenis Bayar</span></th>
            <th scope="col"  jhiSortBy="nominal"><span>Nominal</span></th>
            <th scope="col"></th>
            <th scope="col"></th>
            
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let besarBayar of besarBayars ;trackBy: trackId">
                <!-- <td><a [routerLink]="['/besar-bayar', besarBayar.id, 'view' ]">{{besarBayar.id}}</a></td> -->
                <td>
                    <div *ngIf="besarBayar.kelas">
                        <a [routerLink]="['/kelas', besarBayar.kelas?.id, 'view' ]" >{{besarBayar.kelas?.nama}}-{{besarBayar.kelas?.jenjang}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="besarBayar.jenisBayar">
                        <a [routerLink]="['/jenis-pembayaran', besarBayar.jenisBayar?.id, 'view' ]" >{{besarBayar.jenisBayar?.jenis}}</a>
                    </div>
                </td>
                <td>{{besarBayar.nominal}}</td>
                <td class="text-center">
                    <div *ngIf="besarBayar.status === 'DONE'">
	                    <span class="font-italic"> Tagihan sudah dibuat</span>
                    </div> 
                    <div *ngIf="besarBayar.status !== 'DONE'">
	                    <button type="button" class="btn btn-primary btn-sm" (click)="generate(besarBayar.id)">
	                            <span class="d-none d-md-inline">generate</span>
	                    </button>
                    </div>
                </td>
                <td class="text-left">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/besar-bayar', besarBayar.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/besar-bayar', besarBayar.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(besarBayar)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
